export default {
  namespaced: true,
  state: {
    cases: [],
    menus: [],
    roles: [],
    user: {}
  },
  mutations: {
    init (state, data) { // 这里的state对应着上面这个state
      state.cases = data.cases
      state.menus = data.menus
      state.roles = data.roles
      state.user = data.user
    }
  },
  actions: {
    updateSystemInfo (context) { // 这里的context和我们使用的$store拥有相同的对象和方法
      this.$ajax(this.$api.system.init.url, {
        method: this.$api.system.init.method
      })
        .then(res => {
          console.log(res)
          if (res.code === 400) {
            this.$router.push({name: 'login'})
          } else {
            context.commit('init', res) // 你还可以在这里触发其他的mutations方法
          }
        }).catch(msg => {

        })
    }
  }
}
